#include "mainwindow.h"


#include <QApplication>
#include <QTranslator> //per la traduzione
#include <QLocale>     //per la traduzione
#include <QDebug>      // per scrivere sullo stdo


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    a.setQuitOnLastWindowClosed(false);

    //Get system "locale" (ex: it_IT)
    QString locale = QLocale::system().name();
    qDebug() << "Locale:" << locale;


    //Load traslation
    QTranslator* translator = new QTranslator();


    if (translator->load("logout-"+locale, a.applicationDirPath()+"/../share/logout/" )) {
        a.installTranslator(translator);
    }else{
        qDebug()<< "No traslations.";
    }


    MainWindow w;


    return a.exec();
}
